%define section  free
%define jbossdir %{_localstatedir}/jboss

Summary:        Database statement interceptor for Java
Name:           p6spy
Version:        1.2
Release:        1jpp
Epoch:          0
Group:          Database
License:        P6Spy Software License
URL:            http://p6spy.sourceforge.net/
BuildArch:      noarch
Source0:        http://download.sourceforge.net/p6spy/p6spy-1_2-src.jar
Patch0:         %{name}-jboss3.patch
Patch1:         %{name}-javadoc-crosslink.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  ant, regexp, gnu.regexp, log4j, jdbc-stdext
BuildRequires:  jpackage-utils >= 0:1.5, jboss, log4j-javadoc
Requires:       regexp, gnu.regexp, log4j, jdbc-stdext

%description
P6Spy is an open source framework for applications that intercept and
optionally modify database statements.

%package        javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%package        manual
Summary:        Manual for %{name}
Group:          Database

%description    manual
%{summary}.

# -----------------------------------------------------------------------------

%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
rm -rf javadocs documentation/Templates documentation/_notes
mkdir lib

# -----------------------------------------------------------------------------

%build
CLASSPATH=%(build-classpath regexp gnu.regexp log4j jdbc-stdext)
export CLASSPATH=$CLASSPATH:\
%{jbossdir}/lib/jboss-common.jar:\
%{jbossdir}/lib/jboss-system.jar:\
%{jbossdir}/lib/jboss-jmx.jar
# Tests would need a DB to test against :(
ant \
  -Dbuild.sysclasspath=last \
  -Dlog4j.javadoc=%{_javadocdir}/log4j \
  -Dj2se.javadoc=http://java.sun.com/j2se/1.4.2/docs/api/ \
  clean release

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/p6spy.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# webapp
# TODO: dist/p6spy.war to tomcat/jboss+jetty webapps dir
# TODO: make %{_javadir}/p6spy.jar available in tomcat/jboss+jetty classpath

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc license.txt spy.properties
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc documentation/*

# -----------------------------------------------------------------------------

%changelog
* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-1jpp
- Update to 1.2.
- JPackage 1.5'ified.

* Sat Jan 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.0.4-0.beta.1jpp
- Update to 1.0.4 beta.

* Thu Oct 10 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta.2jpp
- Author released a new source jar with (package only) bugs fixed, using it.
  The software version was not bumped though, brr.

* Mon Oct  7 2002 Ville Skyttä <ville.skytta at iki.fi> 1.0-0.beta.1jpp
- First JPackage release.
